hosc-0.15: Haskell Open Sound Control

Safe Haskell | None
Language | Haskell98

Sound.OSC.Coding.Encode.Base

Description

Base-level encode function for OSC packets (slow). For ordinary use see `Builder`.

Synopsis

- encodeMessage :: Message -> ByteString
- encodeBundle :: Bundle -> ByteString
- encodePacket :: Packet -> ByteString

# Documentation

encodeMessage :: Message -> ByteString Source #

Encode an OSC `Message`.

encodeBundle :: Bundle -> ByteString Source #

Encode an OSC `Bundle`.

encodePacket :: Packet -> ByteString Source #

Encode an OSC `Packet`.